qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-devel] [PATCH] qemu-iotests: test I/O after EOF for growable files


From: Christoph Hellwig
Subject: [Qemu-devel] [PATCH] qemu-iotests: test I/O after EOF for growable files
Date: Wed, 15 Jul 2009 23:13:35 +0200
User-agent: Mutt/1.3.28i

Signed-off-by: Christoph Hellwig <address@hidden>

Index: qemu-iotests/016
===================================================================
--- /dev/null   1970-01-01 00:00:00.000000000 +0000
+++ qemu-iotests/016    2009-07-15 20:46:03.424097062 +0200
@@ -0,0 +1,72 @@
+#!/bin/sh
+#
+# Test I/O after EOF for growable images.
+#
+# Copyright (C) 2009 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
+# USA
+#
+
+# creator
address@hidden
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1       # failure is the default!
+
+_cleanup()
+{
+       _cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+# currently raw is the only protocol we support
+_supported_fmt raw
+_supported_os Linux
+
+
+size=128M
+_make_test_img $size
+
+echo
+echo "== reading at EOF =="
+$QEMU_IO -g -c "read -P 0 $size 512" $TEST_IMG | _filter_qemu_io
+
+echo
+echo "== reading far past EOF =="
+$QEMU_IO -g -c "read -P 0 256M 512" $TEST_IMG | _filter_qemu_io
+
+echo
+echo "== writing at EOF =="
+$QEMU_IO -g -c "write -P 66 $size 512" $TEST_IMG | _filter_qemu_io
+$QEMU_IO -c "read -P 66 $size 512" $TEST_IMG | _filter_qemu_io
+
+echo
+echo "== writing far past EOF =="
+$QEMU_IO -g -c "write -P 66 256M 512" $TEST_IMG | _filter_qemu_io
+$QEMU_IO -c "read -P 66 256M 512" $TEST_IMG | _filter_qemu_io
+
+# success, all done
+echo "*** done"
+rm -f $seq.full
+status=0
Index: qemu-iotests/016.out
===================================================================
--- /dev/null   1970-01-01 00:00:00.000000000 +0000
+++ qemu-iotests/016.out        2009-07-15 20:42:50.187141073 +0200
@@ -0,0 +1,23 @@
+QA output created by 016
+Formatting 'TEST_DIR/t.IMGFMT', fmt=IMGFMT size=134217728 
+
+== reading at EOF ==
+read 512/512 bytes at offset 134217728
+512.000000 bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
+
+== reading far past EOF ==
+read 512/512 bytes at offset 268435456
+512.000000 bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
+
+== writing at EOF ==
+wrote 512/512 bytes at offset 134217728
+512.000000 bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
+read 512/512 bytes at offset 134217728
+512.000000 bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
+
+== writing far past EOF ==
+wrote 512/512 bytes at offset 268435456
+512.000000 bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
+read 512/512 bytes at offset 268435456
+512.000000 bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
+*** done
Index: qemu-iotests/group
===================================================================
--- qemu-iotests.orig/group     2009-07-15 20:17:14.734013512 +0200
+++ qemu-iotests/group  2009-07-15 23:11:02.446138451 +0200
@@ -22,3 +22,4 @@
 013 rw auto
 014 rw auto
 015 rw snapshot auto
+016 rw auto




reply via email to

[Prev in Thread] Current Thread [Next in Thread]